$! $Id: hyperhelp_setup.com,v 1.2 1995/10/10 14:53:45 steve Exp $
$!
$! HyperHelp VMS Setup File
$!
$ me = f$env("procedure")
$ mydev = F$PARSE(me,,,"DEVICE")
$ mydir = F$PARSE(me,,,"DIRECTORY")
$ install_loc = ''mydev' + ''mydir'
$
$! All of the following is needed because VMS allows only one rooted
$! logical per path specification...
$
$! the device specified in install_loc could be a concealted rooted
$! logical; if it is f$trnlnm will return any hidden dirs
$ install_log = f$trnlnm(f$parse("''install_loc'",,,"device") - ":") - ".]" 
$! get the directory, if any, concealted in the logical
$ hidden_dir = f$parse("''install_log'" + "]",,,"directory") - "[" - "]"
$ if "''hidden_dir'" .nes. "" then hidden_dir = "''hidden_dir'" + "."
$! get the real device
$ install_dev = f$parse("''install_loc'",,,"device","no_conceal")
$ install_dir = f$parse("''install_loc'",,,"directory") - "[" - "]"
$
$ ! Now HHHOME can actually be defined.  It must be a concealted
$ ! rooted logical
$ install_path = "''install_dev'" + "[" + "''hidden_dir'" + -
                 "''install_dir'" + ".]"
$ define hhhome "''install_path'"/trans=conc
$
$ ! Quick check to be HHHOME is valid
$ if f$search("HHHOME:[BIN]HYPERHELP.EXE") .eqs. ""
$ then
$   write sys$error "%HYPERHELP-W-NOEXE, HHHOME:[BIN]HYPERHELP.EXE does not exist."
$   write sys$error "-HYPERHELP-I-CHKINST, Verify correct HyperHelp installation."
$ else if f$search("HHHOME:[000000]HOH.HLP") .eqs. ""
$ then
$   write sys$error "%HYPERHELP-W-NOHOH, HHHOME:[000000]HOH.HLP does not exist."
$   write sys$error "-HYPERHELP-I-CHKINST, Verify correct HyperHelp installation."
$ else
$   hyperhelp == "$hhhome:[bin]hyperhelp"
$   rtfhhc    == "$hhhome:[bin]rtfhhc"
$ endif
$ endif
$
$ exit
