$! $Id: hyperhelp_install.com,v 1.3 1995/06/27 18:16:49 dan Exp $
$!
$! HyperHelp VMS Installation
$!
$
$! figure out if we are VAX or ALPHA
$ platform = f$getsyi("ARCH_NAME")
$ if platform .eqs "Alpha" then ARCH = "DECAVMS"
$ if platform .eqs. "VAX" then ARCH = "DECVVMS"
$ if ARCH .eqs. ""
$ then
$   write sys$error "Could not determine platform!"
$   write sys$error "f$getsyi() returned ''platform'"
$   exit
$ else
$   write sys$output "Performing ''ARCH' (''platform') HyperHelp installation"
$ endif
$
$ ! be sure unzip.exe exists
$ if f$search("UNZIP.''ARCH'_EXE") .eqs. ""
$ then
$   write sys$error "Can not find UNZIP executable."
$   exit
$ else
$   unzip = "$''f$environment("default")'unzip.''ARCH'_exe"
$ endif
$
$ ! uncompress each known HyperHelp .ZIP file
$ if f$search("hh-rtfhhc-''ARCH'-510.zip") .nes. "" then unzip -o "hh-rtfhhc-''ARCH'-510.zip"
$ if f$search("hh-viewer-''ARCH'-510.zip") .nes. "" then unzip -o "hh-viewer-''ARCH'-510.zip"
$ if f$search("hh-common-510.zip") .nes. "" then unzip -o "hh-common-510.zip"
$ if f$search("hh-runtime-510.zip") .nes. "" then unzip -o "hh-runtime-510.zip"
$ if f$search("hh-demo-''ARCH'-510.zip") .nes. "" then unzip -o "hh-demo-''ARCH'-510.zip"
$
$! write sys$output ""
$! write sys$output "Edit the file [.HYPERHELP]HYPERHELP_SETUP.COM"
$ write sys$output ""
$ exit
